import request from '@/utils/request'

// 查询实名认证信息列表
export function listUserVerification(query) {
    return request({
        url: '/service/userVerification/list',
        method: 'get',
        params: query
    })
}

// 查询实名认证信息详细
export function getUserVerification(id) {
    return request({
        url: '/service/userVerification/' + id,
        method: 'get'
    })
}

// 查询实名认证信息详细
export function getUserVerificationBuyUserId(id) {
    return request({
        url: '/service/userVerification/userid/' + id,
        method: 'get'
    })
}

// 新增实名认证信息
export function addUserVerification(data) {
    return request({
        url: '/service/userVerification',
        method: 'post',
        data: data
    })
}

// 修改实名认证信息
export function updateUserVerification(data) {
    return request({
        url: '/service/userVerification',
        method: 'put',
        data: data
    })
}

// 修改实名认证信息
export function updateAppUserRealVerificationByIds(data) {
    return request({
        url: '/service/userVerification/all',
        method: 'put',
        data: data
    })
}

// 删除实名认证信息
export function delUserVerification(id) {
    return request({
        url: '/service/userVerification/' + id,
        method: 'delete'
    })
}
